Спираль винтовая (Helix)

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Helix and the translation is 18% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский

Part Helix.svg Винтовая Спираль

Системное название
Part Helix
Расположение в меню
Деталь → Создать примитивы... → Спираль
Верстаки
Part(Деталь), OpenSCAD
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Примитивы

Описание

Part Helix.svg Спираль создаёт геометрический примитив в форме спирали, которая задаётся радиусом, шагом и общей высотой.

Part Helix Example.png

Применение

See Part Primitives.

Example

Part Helix from the scripting example

A Part Helix object created with the scripting example below is shown here.

Опции

Обычно винтовая спираль используется для создания резьб в сочетании с закрытым профилем и операцией Part Sweep.svg Развёртка(Sweep) детали. Этот процесс работает практически так же как и в верстаке PartDesign с помощью инструмента PartDesign AdditivePipe.svg PartDesign Аддитивная(добавочная) труба.

Properties

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • ДанныеLocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • ДанныеPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • ДанныеHeight (Length): The height of the helix. The default is 2mm.
  • ДанныеRadius (Length): The start radius of the helix. The helix has a constant radius if ДанныеAngle is .
  • ДанныеSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • ДанныеAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()